import { CalendarShift } from './models/shift.model';
export declare class AngularMaterialSchedulerService {
    constructor();
    checkIfCanUseIntlFormatter(): boolean;
    calculateHoursBetweenTwoDates(dateIni: Date, dateEnd: Date): number;
    findShiftsForSpecificDay(dateToFind: Date, shifts: Array<CalendarShift>): Array<CalendarShift>;
    findShiftsForSpecificRange(dateIni: Date, dateEnd: Date, shifts: Array<CalendarShift>): Array<CalendarShift>;
    findShiftsForSpecificRangeOfHours(dateIni: Date, dateEnd: Date, shifts: Array<CalendarShift>): Array<CalendarShift>;
    formatDate(date: Date, locale: string, format: Intl.DateTimeFormatOptions): string;
    getDayNameLabelByLocale(locale: string, startOnSunday?: boolean): Array<string>;
    getFirstOfWeek(date: Date, startOnSunday: boolean): Date;
    getScrollbarWidth(): number;
    getShortDayNameForSpecificDay(date: Date, locale: string): String;
    increaseHoursToSpecificDate(date: Date, hourAmount: number): Date;
    scrollContentTo(element: Element, x: number, y: number): void;
}
